﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            BindGridView();
        }
    }

    protected void OnRowEditing(object sender, GridViewEditEventArgs e)
    {
        GridView1.EditIndex = e.NewEditIndex;
        BindGridView();
    }

    private void BindGridView()
    {
        SqlConnection con = new SqlConnection(ConfigurationManager.ConnectionStrings["dbconnection"].ConnectionString);
        con.Open();
        SqlCommand cmd = new SqlCommand("SELECT * FROM Users", con);
        SqlDataAdapter da = new SqlDataAdapter(cmd);
        DataTable dt = new DataTable();
        da.Fill(dt);
        GridView1.DataSource = dt;
        GridView1.DataBind();
    }

    protected void OnRowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            HiddenField hfUserName = e.Row.FindControl("hfUser") as HiddenField;
            Button btnEdit = e.Row.FindControl("btn_Edit") as Button;
            Button btnClose = e.Row.FindControl("btn_Closed") as Button;
            btnEdit.Visible = hfUserName.Value.Trim().ToLower() == Convert.ToString(Session["UserName"]).ToLower() ? true : false;
            btnClose.Visible = hfUserName.Value.Trim().ToLower() == Convert.ToString(Session["UserName"]).ToLower() ? true : false;
        }
    }
}